Bug 153355 - Remove x11/libcapplet and all ports that depend on it.
Summary: Remove x11/libcapplet and all ports that depend on it.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-21 21:10 UTC by Jeremy Messenger
Modified: 2011-01-04 03:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Messenger freebsd_committer 2010-12-21 21:10:12 UTC
The x11/libcapplet has been broken for over a year (will be two in June 2011).
So far, there is no one has any interest to fix or bother us the old GNOME 1
stuff. The GNOME 3 is coming in 2011. Therefore, it's time for us to kill some
of GNOME 1.

Fix: 

Here's a patch that need to be tested in the pointyhat-exp.

http://people.freebsd.org/~mezz/diff/remove_libcapplet_stuff.diff

Not all ports are deleted, which some are able to disable option without
require me to remove those. List following delete ports:

deskutils/gnome-pim
mail/pmail
mail/pygmy
math/scigraphica
net/geotrace
security/nofgpg
sysutils/gnome-control-center1
www/gtkhtml
x11/libcapplet
x11/wmmenu
x11-toolkits/py-gnome
How-To-Repeat: n/a
Comment 1 Jeremy Messenger freebsd_committer 2010-12-22 04:34:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Request to test patch in the pointyhat-exp. Thanks.
Comment 2 Pav Lucistnik freebsd_committer 2011-01-01 19:41:06 UTC
Responsible Changed
From-To: portmgr->pav

Take
Comment 3 Pav Lucistnik freebsd_committer 2011-01-03 17:30:38 UTC
Responsible Changed
From-To: pav->mezz

Exp completed, single problem found: 

http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110101200356/ickle-0.3.2_7.log
Comment 4 dfilter service freebsd_committer 2011-01-04 03:32:28 UTC
mezz        2011-01-04 03:32:21 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    Mk                   bsd.gnome.mk 
    deskutils            Makefile 
    mail                 Makefile 
    math                 Makefile 
    net                  Makefile 
    security             Makefile 
    sysutils             Makefile 
    www                  Makefile 
    x11                  Makefile 
    x11-toolkits         Makefile 
    multimedia/ogle-gui  Makefile 
    net-im/ickle         Makefile pkg-plist 
    sysutils/ipsc        Makefile 
    x11/gdkxft           Makefile pkg-plist 
    x11-toolkits/php-gtk Makefile 
  Removed files:
    deskutils/gnome-pim  Makefile distinfo pkg-descr pkg-plist 
    deskutils/gnome-pim/files patch-ab patch-ad patch-configure 
    mail/pmail           Makefile distinfo pkg-descr pkg-plist 
    mail/pmail/files     patch-gtkf::gutil.py 
    mail/pygmy           Makefile distinfo pkg-descr pkg-plist 
    mail/pygmy/files     patch-fonts.py 
    math/scigraphica     Makefile distinfo pkg-descr pkg-plist 
    math/scigraphica/files patch-ad patch-ag patch-ltmain.sh 
                           patch-src::Makefile.in 
                           patch-src::python::pstat.py 
                           patch-src::python::python_config.c 
    net/geotrace         Makefile distinfo pkg-descr pkg-plist 
    net/geotrace/files   patch-Makefile patch-prefs.c 
                         patch-prefs.h 
    security/nofgpg      Makefile distinfo pkg-descr 
    sysutils/gnome-control-center1 Makefile distinfo pkg-descr 
                                   pkg-plist 
    sysutils/gnome-control-center1/files patch-Makefile.in 
                                         patch-bn 
                                         patch-capplets::theme-switcher::lister.c 
                                         patch-ce 
                                         patch-idl::Makefile.in 
                                         patch-ltmain.sh 
                                         patch-po::Makefile.in.in 
    www/gtkhtml          Makefile distinfo pkg-descr pkg-plist 
    www/gtkhtml/files    gtkhtmlConf.sh patch-af 
                         patch-components::http-editor::popup.c 
                         patch-components::http-storage-module::Makefile.in 
                         patch-doc::Makefile.in 
                         patch-po::Makefile.in.in 
                         patch-src_gtkhtml-propmanager.c 
                         patch-src_htmlcluealigned.c 
    x11/libcapplet       Makefile distinfo pkg-descr pkg-plist 
    x11/libcapplet/files patch-Makefile patch-cappletConf.sh.in 
    x11/wmmenu           Makefile distinfo pkg-descr pkg-message 
                         pkg-plist 
    x11/wmmenu/files     patch-Makefile patch-aa patch-ab patch-ac 
    x11-toolkits/py-gnome Makefile distinfo pkg-descr pkg-plist 
    x11-toolkits/py-gnome/files patch-ab patch-configure 
                                patch-pygtk::configure 
  Log:
  The x11/libcapplet has been broken for over a year (will be two in June 2011)
  and no one has any of interest to fix it. It's an ancient software and
  is part of GNOME 1. It's time for us to get rid of some of GNOME 1 stuff as
  the GNOME 3 is coming sometimes in 2011. Any ports that required libcappet
  are removed and ports that have optional aren't remove.
  
  PR:             ports/153355
  Discussed with: My team, FreeBSD GNOME Team
  Tested by:      pointyhat-exp (thanks pav!)
  
  Revision  Changes    Path
  1.2338    +12 -1     ports/MOVED
  1.165     +2 -16     ports/Mk/bsd.gnome.mk
  1.414     +0 -1      ports/deskutils/Makefile
  1.74      +0 -53     ports/deskutils/gnome-pim/Makefile (dead)
  1.17      +0 -3      ports/deskutils/gnome-pim/distinfo (dead)
  1.12      +0 -14     ports/deskutils/gnome-pim/files/patch-ab (dead)
  1.2       +0 -19     ports/deskutils/gnome-pim/files/patch-ad (dead)
  1.2       +0 -10     ports/deskutils/gnome-pim/files/patch-configure (dead)
  1.4       +0 -2      ports/deskutils/gnome-pim/pkg-descr (dead)
  1.21      +0 -83     ports/deskutils/gnome-pim/pkg-plist (dead)
  1.1050    +0 -2      ports/mail/Makefile
  1.25      +0 -23     ports/mail/pmail/Makefile (dead)
  1.4       +0 -3      ports/mail/pmail/distinfo (dead)
  1.3       +0 -14     ports/mail/pmail/files/patch-gtkf::gutil.py (dead)
  1.2       +0 -24     ports/mail/pmail/pkg-descr (dead)
  1.4       +0 -157    ports/mail/pmail/pkg-plist (dead)
  1.37      +0 -41     ports/mail/pygmy/Makefile (dead)
  1.19      +0 -3      ports/mail/pygmy/distinfo (dead)
  1.2       +0 -11     ports/mail/pygmy/files/patch-fonts.py (dead)
  1.3       +0 -3      ports/mail/pygmy/pkg-descr (dead)
  1.13      +0 -105    ports/mail/pygmy/pkg-plist (dead)
  1.682     +0 -1      ports/math/Makefile
  1.41      +0 -43     ports/math/scigraphica/Makefile (dead)
  1.12      +0 -3      ports/math/scigraphica/distinfo (dead)
  1.2       +0 -10     ports/math/scigraphica/files/patch-ad (dead)
  1.4       +0 -15     ports/math/scigraphica/files/patch-ag (dead)
  1.5       +0 -28     ports/math/scigraphica/files/patch-ltmain.sh (dead)
  1.4       +0 -14     ports/math/scigraphica/files/patch-src::Makefile.in (dead)
  1.2       +0 -13     ports/math/scigraphica/files/patch-src::python::pstat.py (dead)
  1.2       +0 -18     ports/math/scigraphica/files/patch-src::python::python_config.c (dead)
  1.4       +0 -20     ports/math/scigraphica/pkg-descr (dead)
  1.12      +0 -207    ports/math/scigraphica/pkg-plist (dead)
  1.50      +2 -8      ports/multimedia/ogle-gui/Makefile
  1.44      +3 -15     ports/net-im/ickle/Makefile
  1.9       +1 -8      ports/net-im/ickle/pkg-plist
  1.2302    +0 -1      ports/net/Makefile
  1.18      +0 -28     ports/net/geotrace/Makefile (dead)
  1.4       +0 -3      ports/net/geotrace/distinfo (dead)
  1.2       +0 -12     ports/net/geotrace/files/patch-Makefile (dead)
  1.2       +0 -11     ports/net/geotrace/files/patch-prefs.c (dead)
  1.2       +0 -11     ports/net/geotrace/files/patch-prefs.h (dead)
  1.2       +0 -3      ports/net/geotrace/pkg-descr (dead)
  1.2       +0 -31     ports/net/geotrace/pkg-plist (dead)
  1.1147    +0 -1      ports/security/Makefile
  1.20      +0 -35     ports/security/nofgpg/Makefile (dead)
  1.5       +0 -3      ports/security/nofgpg/distinfo (dead)
  1.3       +0 -5      ports/security/nofgpg/pkg-descr (dead)
  1.1261    +0 -1      ports/sysutils/Makefile
  1.62      +0 -37     ports/sysutils/gnome-control-center1/Makefile (dead)
  1.19      +0 -3      ports/sysutils/gnome-control-center1/distinfo (dead)
  1.2       +0 -14     ports/sysutils/gnome-control-center1/files/patch-Makefile.in (dead)
  1.7       +0 -54     ports/sysutils/gnome-control-center1/files/patch-bn (dead)
  1.2       +0 -15     ports/sysutils/gnome-control-center1/files/patch-capplets::theme-switcher::lister.c (dead)
  1.3       +0 -8      ports/sysutils/gnome-control-center1/files/patch-ce (dead)
  1.2       +0 -14     ports/sysutils/gnome-control-center1/files/patch-idl::Makefile.in (dead)
  1.2       +0 -45     ports/sysutils/gnome-control-center1/files/patch-ltmain.sh (dead)
  1.2       +0 -14     ports/sysutils/gnome-control-center1/files/patch-po::Makefile.in.in (dead)
  1.2       +0 -1      ports/sysutils/gnome-control-center1/pkg-descr (dead)
  1.24      +0 -185    ports/sysutils/gnome-control-center1/pkg-plist (dead)
  1.25      +3 -14     ports/sysutils/ipsc/Makefile
  1.2789    +0 -1      ports/www/Makefile
  1.85      +0 -48     ports/www/gtkhtml/Makefile (dead)
  1.27      +0 -3      ports/www/gtkhtml/distinfo (dead)
  1.6       +0 -5      ports/www/gtkhtml/files/gtkhtmlConf.sh (dead)
  1.6       +0 -19     ports/www/gtkhtml/files/patch-af (dead)
  1.2       +0 -10     ports/www/gtkhtml/files/patch-components::http-editor::popup.c (dead)
  1.3       +0 -14     ports/www/gtkhtml/files/patch-components::http-storage-module::Makefile.in (dead)
  1.4       +0 -14     ports/www/gtkhtml/files/patch-doc::Makefile.in (dead)
  1.3       +0 -14     ports/www/gtkhtml/files/patch-po::Makefile.in.in (dead)
  1.2       +0 -16     ports/www/gtkhtml/files/patch-src_gtkhtml-propmanager.c (dead)
  1.2       +0 -11     ports/www/gtkhtml/files/patch-src_htmlcluealigned.c (dead)
  1.2       +0 -5      ports/www/gtkhtml/pkg-descr (dead)
  1.32      +0 -204    ports/www/gtkhtml/pkg-plist (dead)
  1.558     +0 -1      ports/x11-toolkits/Makefile
  1.45      +2 -12     ports/x11-toolkits/php-gtk/Makefile
  1.83      +0 -48     ports/x11-toolkits/py-gnome/Makefile (dead)
  1.22      +0 -3      ports/x11-toolkits/py-gnome/distinfo (dead)
  1.5       +0 -11     ports/x11-toolkits/py-gnome/files/patch-ab (dead)
  1.3       +0 -13     ports/x11-toolkits/py-gnome/files/patch-configure (dead)
  1.4       +0 -61     ports/x11-toolkits/py-gnome/files/patch-pygtk::configure (dead)
  1.6       +0 -10     ports/x11-toolkits/py-gnome/pkg-descr (dead)
  1.29      +0 -93     ports/x11-toolkits/py-gnome/pkg-plist (dead)
  1.750     +0 -2      ports/x11/Makefile
  1.41      +4 -13     ports/x11/gdkxft/Makefile
  1.6       +0 -6      ports/x11/gdkxft/pkg-plist
  1.24      +0 -44     ports/x11/libcapplet/Makefile (dead)
  1.4       +0 -3      ports/x11/libcapplet/distinfo (dead)
  1.5       +0 -24     ports/x11/libcapplet/files/patch-Makefile (dead)
  1.4       +0 -10     ports/x11/libcapplet/files/patch-cappletConf.sh.in (dead)
  1.2       +0 -3      ports/x11/libcapplet/pkg-descr (dead)
  1.3       +0 -7      ports/x11/libcapplet/pkg-plist (dead)
  1.23      +0 -39     ports/x11/wmmenu/Makefile (dead)
  1.8       +0 -3      ports/x11/wmmenu/distinfo (dead)
  1.4       +0 -18     ports/x11/wmmenu/files/patch-Makefile (dead)
  1.3       +0 -11     ports/x11/wmmenu/files/patch-aa (dead)
  1.3       +0 -13     ports/x11/wmmenu/files/patch-ab (dead)
  1.3       +0 -9      ports/x11/wmmenu/files/patch-ac (dead)
  1.3       +0 -9      ports/x11/wmmenu/pkg-descr (dead)
  1.4       +0 -1      ports/x11/wmmenu/pkg-message (dead)
  1.5       +0 -5      ports/x11/wmmenu/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Jeremy Messenger freebsd_committer 2011-01-04 03:32:44 UTC
State Changed
From-To: open->closed

Point to gnome rather than mezz for easier to find in the history of gnome@ 
ports. This PR has been completed! 


Comment 6 Jeremy Messenger freebsd_committer 2011-01-04 03:32:44 UTC
Responsible Changed
From-To: mezz->gnome

Point to gnome rather than mezz for easier to find in the history of gnome@ 
ports. This PR has been completed!